> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ingest job status

> Get the current status of an ingest job.

Get the status of an ingest job in your organization. The response is a JSON string, such as `"completed"`.

The status can be `queued`, `running`, `completed`, `failed`, or `up_for_retry`. For row counts, [get the ingest job](https://docs.allium.so/api/data-upload/get-ingest-job.md).


## OpenAPI

````yaml _openapi/data-upload-api.json GET /api/v1/explorer/data-management/ingest-jobs/{job_id}/status
openapi: 3.1.0
info:
  title: Data Upload API
  version: 1.0.0
  description: Create private Explorer tables, add rows, and track ingest jobs.
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/explorer/data-management/ingest-jobs/{job_id}/status:
    get:
      tags:
        - Data Upload API
      summary: Get ingest job status
      description: Get the current status of an ingest job. The response is a JSON string.
      operationId: >-
        ingest_job_status_api_v1_explorer_data_management_ingest_jobs__job_id__status_get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: The ingest job status as a JSON string.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IngestJobStatus'
        '401':
          description: The API key is missing or invalid.
        '404':
          description: The job does not exist or belongs to another organization.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '503':
          description: Data upload API access is unavailable for this organization.
      security:
        - APIKeyBearer: []
components:
  schemas:
    IngestJobStatus:
      type: string
      enum:
        - queued
        - running
        - completed
        - failed
        - up_for_retry
      title: IngestJobStatus
      description: Current upload job state.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````